PHP Handbuch
Zurück |  | Weiter

# DOMDocument->createElement()

(no version information, might be only in CVS)

DOMDocument->createElement() -- Create new element node

## Beschreibung

class DOMDocument {
DOMElement createElement ( string name [, string value] )
}

This function creates a new instance of class DOMElement. Dieser Knoten wird in Ihrem Dokument nicht sichtbar sein, bis dieser zum Beispiel mit der Funktion DOMNode->appendChild() eingefügt wird.

## Parameter Liste

name

  The tag name of the element.

value

  The value of the element. By default, an empty element will be created. You can also set the value later with DOMElement->nodeValue.

## Rückgabewerte

Returns a new instance of class DOMElement or `FALSE` if an error occured.

## Exceptions

`DOM_INVALID_CHARACTER_ERR`

  Raised if name contains an invalid character.

## Beispiele

Beispiel 1. Creating a new element and inserting it as root

`<?php $dom = new DOMDocument('1.0', 'iso-8859-1'); $element = $dom->createElement('test', 'This is the root element!'); // We insert the new element as root (child of the document) $dom->appendChild($element); echo $dom->saveXML(); ?>`

Das oben gezeigte Beispiel erzeugt folgende Ausgabe:

    <?xml version="1.0" encoding="iso-8859-1"?>
    <test>This is the root element!</test>

## Siehe auch

DOMNode->appendChild()
DOMDocument->createAttribute()
DOMDocument->createAttributeNS()
DOMDocument->createCDATASection()
DOMDocument->createComment()
DOMDocument->createDocumentFragment()
DOMDocument->createElementNS()
DOMDocument->createEntityReference()
DOMDocument->createProcessingInstruction()
DOMDocument->createTextNode()

Zurück | Zum Anfang | Weiter
DOMDocument->createDocumentFragment() | Nach oben | DOMDocument->createElementNS()